/*----------------------------------------------------------------------------
 Copyright:      
 Author:         Shortie
 Remarks:        
 known Problems: none
 Version:        25.01.2010
 Description:    Html Seiten

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/
#ifndef _WEBPAGE_H
	#define _WEBPAGE_H

//----------------------------------------------------------------------------
// Webseite
//----------------------------------------------------------------------------

// Texte fr Platzhalter werden in webtexte.h definiert.

PROGMEM char Page1[] = {
	"<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">\r\n"
	"<html><head>\r\n"
	"<meta http-equiv=\"content-type\" content=\"text/html; charset=ISO-8859-1\">\r\n"
#if HTTP_REFRESH
	"<meta http-equiv=\"refresh\" content=\"60; url=/index.htm\">\r\n"
#endif
	"<title>AVR-NET-IO Webserver</title>\r\n"
	"<link rel=\"stylesheet\" type=\"text/css\" href=\"styles.css\">\r\n"
	"</head><body>\r\n"
	"<h1>AVR-NET-IO Webserver</h1>\r\n"
#if HTTP_STATUSPAGE
	"<div id=\"nav\"><a href=\"index.htm\">Home</a><a href=\"status.htm\">Status</a>"
	#if HTTP_CSVDATEN
	"<a href=\"daten.csv\">Daten als CSV</a>"
	#endif
	"</div>\r\n"
#endif
	"<br><div style=\"width:600px;margin:0 auto;\">"	// start box

	"<form name=\"f1\" method=\"post\" action=\"index.htm\">\r\n"
	"<table class=\"tbl\" border=\"0\">"
	"<tr><th colspan=\"2\">Ausg&auml;nge</th></tr>"
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"A\"%PORTC0> "
	Ausg_C0
	"</td>"
	"<td><input type=\"checkbox\" name=\"OUT\" value=\"E\"%PORTC4> "
	Ausg_C4
	"</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"B\"%PORTC1> "
	Ausg_C1
	"</td>"
	"<td><input type=\"checkbox\" name=\"OUT\" value=\"F\"%PORTC5> "
	Ausg_C5
	"</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"C\"%PORTC2> "
	Ausg_C2
	"</td>"
	"<td><input type=\"checkbox\" name=\"OUT\" value=\"G\"%PORTC6> "
	Ausg_C6
	"</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"D\"%PORTC3> "
	Ausg_C3
	"</td>"
	"<td><input type=\"checkbox\" name=\"OUT\" value=\"H\"%PORTC7> "
	Ausg_C7
	"</td></tr>\r\n"
	"<tr><td colspan=\"2\"><input type=\"checkbox\" name=\"OUT\" value=\"Y\">als Startwert speichern</td></tr>\r\n"

	#if USE_PORTD_6OUT
	"<tr><td colspan=\"2\">&nbsp;</td></tr>"
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"I\"%PORTD2>"
	Ausg_D2
	"</td>"
	"<td><input type=\"checkbox\" name=\"OUT\" value=\"L\"%PORTD5>"
	Ausg_D5
	"</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"J\"%PORTD3>"
	Ausg_D3
	"</td>"
	"<td><input type=\"checkbox\" name=\"OUT\" value=\"M\"%PORTD6>"
	Ausg_D6
	"</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"K\"%PORTD4>"
	Ausg_D4
	"</td>"
	"<td><input type=\"checkbox\" name=\"OUT\" value=\"N\"%PORTD7>"
	Ausg_D7
	"</td></tr>\r\n"
	"<tr><td colspan=\"2\"><input type=\"checkbox\" name=\"OUT\" value=\"Z\">als Startwert speichern</td></tr>\r\n"
	#endif	//USE_PORTD_6OUT
	
	//Rechner ber WOL einschalten
    #if USE_WOL
		"<tr><td colspan=\"2\"><input type=\"checkbox\" name=\"OUT\" value=\"W\">Wake On Lan (%MACW)</td></tr>"
	#endif //USE_WOL
	"<tr><td colspan=\"2\"><input name=\"SUB\" value=\"Senden\" type=\"submit\"></td></tr>\r\n"
	"</table>"
	"</form>\r\n"
	"<br>"
	"<table class=\"tbl\" border=\"0\">\r\n"
	"<tr><th colspan=\"4\">Eing&auml;nge</th></tr>"
	"<tr><td style=\"width:220px;\">digital</td><td style=\"width:80px;\">auf/zu</td>"
	#if USE_ADC
	"<td style=\"width:220px;\">analog</td><td style=\"width:80px;\">Wert (0-1023)</td></tr>\r\n"
	#else
	"<td style=\"width:220px;\">digital</td><td style=\"width:80px;\">auf/zu</td>\r\n"
	#endif
	"<tr><td>"
	Eing_A0"</td><td class=\"%PINA0\"></td>"
	"<td>"
	#if USE_ADC
	Eing_A4"</td><td>%VA@04</td></tr>\r\n"
	#else
	Eing_A4"</td><td class=\"%PINA4\"></td>\r\n"
	#endif
	"<tr><td>"
	Eing_A1"</td><td class=\"%PINA1\"></td>"
	"<td>"
	#if USE_ADC
	Eing_A5"</td><td>%VA@05</td></tr>\r\n"
	#else
	Eing_A5"</td><td class=\"%PINA5\"></td>\r\n"
	#endif
	"<tr><td>"
	Eing_A2"</td><td class=\"%PINA2\"></td>"
	"<td>"
	#if USE_ADC
	Eing_A6"</td><td>%VA@06</td></tr>\r\n"
	#else
	Eing_A6"</td><td class=\"%PINA6\"></td>\r\n"
	#endif
	"<tr><td>"
	Eing_A3"</td><td class=\"%PINA3\"></td>"
	"<td>"
	#if OW_PORTA
	"Pin A7</td><td>1-Wire</td></tr>\r\n"
	#else
		#if USE_ADC
		Eing_A7
		"</td><td>%VA@07</td></tr>\r\n"
		#else
		Eing_A7
		"</td><td class=\"%PINA7\"></td></tr>\r\n"
		#endif
	#endif
	#if USE_PORTD_6IN
	"<tr><td colspan=\"4\">&nbsp;</td></tr>\r\n"
	"<tr><td style=\"width:220px;\">digital</td><td style=\"width:80px;\">auf/zu</td>"
	"<td style=\"width:220px;\">digital</td><td style=\"width:80px;\">auf/zu</td></tr>\r\n"
	"<tr><td>"
	Eing_D2
	"</td><td class=\"%PIND2\"></td><td>"
	Eing_D5
	"</td><td class=\"%PIND5\"></td></tr>\r\n<tr><td>"
	Eing_D3
	"</td><td class=\"%PIND3\"></td><td>"
	Eing_D6
	"</td><td class=\"%PIND6\"></td></tr>\r\n<tr><td>"
	Eing_D4
	"</td><td class=\"%PIND4\"></td><td>"
	Eing_D7
	"</td><td class=\"%PIND7\"></td></tr>\r\n"
	#endif
	"</table>\r\n"
	#if USE_OW
	"<br>\r\n"
	"<table class=\"tbl\" border=\"0\">\r\n"
	#if OW_MINMAX
	"<tr><th colspan=\"5\">Temperatursensoren</th></tr>"
	"<tr><td width=\"200px\">1-Wire</td><td width=\"200px\">Ort</td><td align=\"right\">Wert</td><td align=\"left\"> </td><td>Min/Max(Tag)</td></tr>\r\n"
	"<tr><td>Sensor 0</td><td>"T00"</td><td align=\"right\">%OW@00</td><td>&deg;C</td><td>%OW@08 / %OW@16</td></tr>\r\n"
	"<tr><td>Sensor 1</td><td>"T01"</td><td align=\"right\">%OW@01</td><td>&deg;C</td><td>%OW@09 / %OW@17</td></tr>\r\n"
// Je nach Bedarf weitere Zeilen einfuegen
//	"<tr><td>Sensor 2</td><td>"T02"</td><td align=\"right\">%OW@02</td><td>&deg;C</td><td>%OW@10 / %OW@18</td></tr>\r\n"
//	"<tr><td>Sensor 3</td><td>"T03"</td><td align=\"right\">%OW@03</td><td>&deg;C</td><td>%OW@11 / %OW@19</td></tr>\r\n"
//	"<tr><td>Sensor 4</td><td>"T04"</td><td align=\"right\">%OW@04</td><td>&deg;C</td><td>%OW@12 / %OW@20</td></tr>\r\n"
//	"<tr><td>Sensor 5</td><td>"T05"</td><td align=\"right\">%OW@05</td><td>&deg;C</td><td>%OW@13 / %OW@21</td></tr>\r\n"
//	"<tr><td>Sensor 6</td><td>"T06"</td><td align=\"right\">%OW@06</td><td>&deg;C</td><td>%OW@14 / %OW@22</td></tr>\r\n"
//	"<tr><td>Sensor 7</td><td>"T07"</td><td align=\"right\">%OW@07</td><td>&deg;C</td><td>%OW@15 / %OW@23</td></tr>\r\n"
	#else
	"<tr><th colspan=\"4\">Temperatursensoren</th></tr>"
	"<tr><td width=\"200px\">1-Wire</td><td width=\"200px\">Ort</td><td align=\"right\">Wert</td><td align=\"left\"> </td></tr>\r\n"
	"<tr><td>Sensor 0</td><td>"T00"</td><td align=\"right\">%OW@00</td><td>&deg;C</td></tr>\r\n"
	"<tr><td>Sensor 1</td><td>"T01"</td><td align=\"right\">%OW@01</td><td>&deg;C</td></tr>\r\n"
// Je nach Bedarf weitere Zeilen einfuegen
//	"<tr><td>Sensor 2</td><td>"T02"</td><td align=\"right\">%OW@02</td><td>&deg;C</td></tr>\r\n"
//	"<tr><td>Sensor 3</td><td>"T03"</td><td align=\"right\">%OW@03</td><td>&deg;C</td></tr>\r\n"
//	"<tr><td>Sensor 4</td><td>"T04"</td><td align=\"right\">%OW@04</td><td>&deg;C</td></tr>\r\n"
//	"<tr><td>Sensor 5</td><td>"T05"</td><td align=\"right\">%OW@05</td><td>&deg;C</td></tr>\r\n"
//	"<tr><td>Sensor 6</td><td>"T06"</td><td align=\"right\">%OW@06</td><td>&deg;C</td></tr>\r\n"
//	"<tr><td>Sensor 7</td><td>"T07"</td><td align=\"right\">%OW@07</td><td>&deg;C</td></tr>\r\n"
	#endif
	"</table>\r\n"
	#endif
	
	#if HTTP_CSVDATEN
	#if (HTTP_STATUSPAGE==0)
	"<br>"
	"<table class=\"tbl\" border=\"0\">\r\n"
	"<tr><th colspan=\"1\">Downloads</th></tr>"
	"<tr><td><a href=\"daten.csv\" target=\"_blank\">Daten</a> der Eing&auml;nge als CSV-Datei</td>"
	"</table>\r\n"
	#endif
	#endif
	
	"</div>\r\n"	// ende box
	"<br>"
	"<div id=\"tail\">"
	#if (HTTP_STATUSPAGE==0)
	"Compiliert am "__DATE__" um " __TIME__" mit GCC Version "__VERSION__"<br>\r\n"
	#endif
	"%VA@27 Besucher seit Start des Webservers<br>"
	"Version V"Version" - Basiert auf Ulrich Radig's ETH_M32_EX V"URVersion" und diversen Erweiterungen\r\n"
	"</div>\r\n"
	"</body></html>"
	"%END"};

//----------------------------------------------------------------------------
// Daten Seite
#if HTTP_CSVDATEN
PROGMEM char Page2[] = {

// Ausgabe erfolt im CSV-Format mit Semicolon (;) als Feldtrenner
// 1. Zeile Feldbezeichnung
// 2. Zeile Werte

// Feldbezeichnungen
	Eing_A0";"
	Eing_A1";"
	Eing_A2";"
	Eing_A3";"
	Eing_A4";"
	Eing_A5";"
	Eing_A6";"
	Eing_A7

#if USE_PORTD_6IN
	";"
	Eing_D2";"
	Eing_D3";"
	Eing_D4";"
	Eing_D5";"
	Eing_D6";"
	Eing_D7
#endif
	
#if USE_OW
	";"
	T00";"
	T01";"
	T02";"
	T03";"
	T04";"
	T05";"
	T06";"
	T07"\r\n"
#else
	"\r\n"
#endif

// Werte
	"%VA@00;"
	"%VA@01;"
	"%VA@02;"
	"%VA@03;"
	"%VA@04;"
	"%VA@05;"
	"%VA@06;"
	"%VA@07"
	
#if USE_OW
	";"
	"%OW@00;"
	"%OW@01;"
	"%OW@02;"
	"%OW@03;"
	"%OW@04;"
	"%OW@05;"
	"%OW@06;"
	"%OW@07\r\n"
#else
	"\r\n"
#endif
	"%END"};
#endif

//----------------------------------------------------------------------------
// CSS Styles
PROGMEM char Page3[] = {
	"body{margin:20px;}"
	"body,div,h1,td,th{font-family:sans-serif;font-size:12px}"
	"h1{font-size:20px;color:white;background:#96B11C;margin:1px;padding:5px;text-align:center;}"
	"#tail{color:black;background:silver;text-align:center;padding:5px}"
	"#main{text-align:center;margin:20px}"	
#if HTTP_STATUSPAGE
	"#nav{font-size: 12px; background-color:silver;margin:1px;padding:5px;}"
    "#nav a, #tail a{color:white; padding:10px;text-decoration:none}"
    "#nav a:hover,#tail a:hover{text-decoration:underline}"
#endif
	".tbl{table-layout:auto;border:1px solid #c0c0c0;width:600px;}"
	".tbl td{padding:3px}"
	".tbl th{color:white;background:#96B11C;padding:7px;}"
	".grn{background:#009900;}"
	".red{background:#990000;}"
	"%END"};

//----------------------------------------------------------------------------
// Statusseite

#if HTTP_STATUSPAGE
PROGMEM char Page4[] = {
	"<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">\r\n"
	"<html><head>\r\n"
	"<meta http-equiv=\"content-type\" content=\"text/html; charset=ISO-8859-1\">\r\n"
#if HTTP_REFRESH
	"<meta http-equiv=\"refresh\" content=\"60; url=/status.htm\">\r\n"
#endif
	"<title>AVR-NET-IO Webserver</title>\r\n"
	"<link rel=\"stylesheet\" type=\"text/css\" href=\"styles.css\">\r\n"
	"</head><body>\r\n"
	"<h1>AVR-NET-IO Webserver</h1>\r\n"
	"<div id=\"nav\"><a href=\"index.htm\">Home</a><a href=\"status.htm\">Status</a>"
	#if HTTP_CSVDATEN
	"<a href=\"daten.csv\">Daten als CSV</a>"
	#endif
	"</div>\r\n"
	"<br><div style=\"width:600px;margin:0 auto;\">\r\n"	// start box
	"<table class=\"tbl\" border=\"0\">\r\n"
	"<tr><th colspan=\"4\">Aktuelle Konfiguration</th></tr>\r\n"
	"<tr><td>IP-Adresse:</td><td>%IPI</td><td>MAC-Adresse:</td><td>%MACI</td>\r\n"
	"<tr><td>Netmask:</td><td>%IPM</td><td>&nbsp;</td><td>&nbsp;</td>\r\n"
	"<tr><td>Gateway:</td><td>%IPR</td><td>&nbsp;</td><td>&nbsp;</td>\r\n"
	"<tr><td colspan=\"4\">&nbsp;</td>\r\n"
	#if USE_DNS
	"<tr><td>DNS-Server:</td><td>%IPD</td><td>&nbsp;</td><td>&nbsp;</td>\r\n"
	#endif
	#if USE_NTP
	"<tr><td>NTP-Server:</td><td>%IPN</td><td>Akt. Datum &amp; Uhrzeit:</td><td>%TIME</td>\r\n"
	#endif
	#if USE_SYSLOG
	"<tr><td>SYSLOG-Server:</td><td>%IPS</td><td>&nbsp;</td><td>&nbsp;</td>\r\n"
	#endif
	#if USE_WOL
	"<tr><td>WOL Broadcast:</td><td>%IPW</td><td>WOL MAC-Adresse:</td><td>%MACW</td>\r\n"
	#endif
	"<tr><td colspan=\"4\">&nbsp;</td>\r\n"
	"<tr><td colspan=\"4\">Compiliert am "__DATE__" um " __TIME__" mit GCC Version "__VERSION__"</td>\r\n"
	"</table>\r\n"
	"</div>\r\n"	// ende box
	"<br>"
	"<div id=\"tail\">"
	"%VA@27 Besucher seit Start des Webservers<br>"
	"Version V"Version" - Basiert auf Ulrich Radig's ETH_M32_EX V"URVersion" und diversen Erweiterungen\r\n"
	"</div>\r\n"
	"</body></html>"
	"%END"};
#endif

//----------------------------------------------------------------------------
//Nur Dateiname und Pointer eintragen	
WEBPAGE_ITEM WEBPAGE_TABLE[] = // Befehls-Tabelle
{
	{"index.htm",Page1},
	#if HTTP_CSVDATEN
	{"daten.csv",Page2},
	#endif
	{"styles.css",Page3},
	#if HTTP_STATUSPAGE
	{"status.htm",Page4},
	#endif
	{NULL,NULL} 
};

#endif //_WEBPAGE_H,0x00
